Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.SizeHint

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.SizeHint

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.SizeHint

extends java.lang.Enum
implements QtEnumerator

This enum is used by `QGraphicsLayoutItem::sizeHint()`

See also:
  `QGraphicsLayoutItem::sizeHint()`.

See Also:
  Serialized Form

Field Summary
`static Qt.SizeHint` | `MaximumSize` is used to specify the maximum size of a graphics layout item.
`static Qt.SizeHint` | `MinimumDescent` is used to specify the minimum descent of a text string in a graphics layout item.
`static Qt.SizeHint` | `MinimumSize` is used to specify the minimum size of a graphics layout item.
`static Qt.SizeHint` | `NSizeHints`
`static Qt.SizeHint` | `PreferredSize` is used to specify the preferred size of a graphics layout item.

Method Summary
`static Qt.SizeHint` | `resolve(int value)` Returns the SizeHint constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.SizeHint` | `valueOf(java.lang.String name)`
`static Qt.SizeHint[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MinimumSize

    public static final Qt.SizeHint MinimumSize

  is used to specify the minimum size of a graphics layout item.

### PreferredSize

    public static final Qt.SizeHint PreferredSize

  is used to specify the preferred size of a graphics layout item.

### MaximumSize

    public static final Qt.SizeHint MaximumSize

  is used to specify the maximum size of a graphics layout item.

### MinimumDescent

    public static final Qt.SizeHint MinimumDescent

  is used to specify the minimum descent of a text string in a graphics layout item.

### NSizeHints

    public static final Qt.SizeHint NSizeHints

Method Detail

### values

    public static Qt.SizeHint[] values()

### valueOf

    public static Qt.SizeHint valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.SizeHint resolve(int value)

  Returns the SizeHint constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD